#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		zypp
%define		gem_dir		%(ruby -e 'puts Gem.default_dir')
#-----------------------------------------------------------------------------
Name		:	zypper
Version		:	1.14.66
Release		:	14.8.0.0%{?dist}
Summary		:	Command line software manager using libzypp
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-2.0+
URL		:	https://github.com/openSUSE/zypper/tags

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
Buildrequires	:	asciidoc
Buildrequires	:	augeas
Buildrequires	:	docbook-xml
Buildrequires	:	docbook-xsl
Buildrequires	:	gcc-c++
Buildrequires	:	readline
Buildrequires	:	libxml2
Buildrequires	:	libxslt
Buildrequires	:	libzypp-devel	>= 17.25.1

Requires	:	lsof
Requires	:	libzypp
Requires	:	rpm
Requires	:	setup
#-----------------------------------------------------------------------------
%description
Zypper is a command line tool for managing software. It
can be used to add package repositories, search for
packages, install, remove, or update packages, install
patches, hardware drivers, verify dependencies, and more.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%config %{_sysconfdir}/%{sname}/%{name}.conf
%{_sysconfdir}/logrotate.d/%{sname}-refresh.lr
%{_sysconfdir}/logrotate.d/%{name}.lr
%{_sysconfdir}/%{sname}/apt-*
%{_bindir}/apt
%{_bindir}/apt-get
%{_bindir}/aptitude
%{_bindir}/needs-restarting
%{_bindir}/installation_sources
%{_bindir}/%{name}
%{_sbindir}/%{sname}-refresh
%{_sbindir}/%{name}-*
%{_defaultdocdir}/packages/%{name}/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/%{name}/xml/xmlout.rnc
%{_datadir}/%{name}/%{name}.aug
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/needs-restarting.1.gz
%{_mandir}/man8/%{sname}*.8.gz


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build
tar xf %{SOURCE1}

CMAKE_FLAGS=
cmake	 $CMAKE_FLAGS						\
	-B builder						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}		\
	-D CMAKE_INSTALL_DOCDIR=%{_defaultdocdir}		\
	-D CMAKE_INSTALL_MANDIR=%{_mandir}			\
	-D ASCDOC_CMD=%{gem_dir}/bin/asciidoctor		\
	-D CMAKE_VERBOSE_MAKEFILE=TRUE				\
	-D CMAKE_C_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS"	\
	-D CMAKE_CXX_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS"	\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_CXX_FLAGS="-DU_SHOW_CPLUSPLUS_API=0"		\


(
cd %{name}-ok_addon
%{__cp} -a							\
	needs-restarting.1					\
	zypp-refresh.8						\
	%{name}.8						\
	%{name}-log.8						\
	../builder/doc
)

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	-C builder						\
	%{?_smp_mflags}

%{__make}							\
	-C builder/po						\
	%{?_smp_mflags}						\
	translations

%{__make}							\
	-C builder/tests					\
	%{?_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C builder					\
	DESTDIR=%{buildroot}				\
	install


#-----------------------------------------------------------------------------
%changelog
